Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

[gelöst] Netflix im Firefox nicht abspielbar

Alles rund um das Thema Multimedia unter Linux

Moderator: Moderatoren

Antworten
gorgonz
Member
Member
Beiträge: 166
Registriert: 13. Mai 2006, 19:37
Wohnort: Frankenland

[gelöst] Netflix im Firefox nicht abspielbar

Beitrag von gorgonz » 26. Jul 2018, 18:57

bin nicht sicher, ob ich damit in ein mozilla Forum sollte, aber meine Erfahrungen sind gut hier, probier es mal ;-)

Unter openSUSE 42.2 kein Problem. Jetzt mit leap 15.0 und FF 60.1.0esr (64-Bit) passiert Folgendes:
Einloggen bei netflix und navigieren kein Problem. Sobald ich einen konkreten Film anklicke, bekomme ich ein "wartezeichen" als roten Kreis und es passiert nix mehr.
Es gibt keine Fehlermeldung, allerdings kann ich in der FF Konsole das sehen:
Medien konnte nicht abgespielt werden. Keine Dekoder für angefragte Formate: video/mp4;codecs=avc1.640028
Kann dadurch ermittelt werden, welcher codec mir noch fehlt?

Unter den FF Plugins gibt es genau 2:
openh264 v1.7.1
widevine v1.4.8.1008 (vom 23.07.18)

DRM Inhalte abspielen ist auch aktiviert

Würde mich über Tipps dazu freuen :-)
Zuletzt geändert von gorgonz am 29. Jul 2018, 11:22, insgesamt 1-mal geändert.
Meine Systeme:
PC (I7-2600K): openSUSE leap 15.0 (64bit), QT 5.9.4, KDE Frameworks 5.45.0, 4.12.14-lp150.12.13-default
Laptop: Samsung RC530 (I7-2670QM), openSUSE tumbleweed, QT 5.11.0, KDE Frameworks 5.47.0, kernel 4.17.5-1-default

Werbung:
MH1962
Member
Member
Beiträge: 93
Registriert: 10. Aug 2015, 16:42

Re: Netflix im Firefox nicht abspielbar

Beitrag von MH1962 » 27. Jul 2018, 06:07

gorgonz hat geschrieben:
26. Jul 2018, 18:57
Medien konnte nicht abgespielt werden. Keine Dekoder für angefragte Formate: video/mp4;codecs=avc1.640028
Kann dadurch ermittelt werden, welcher codec mir noch fehlt?
Der Meldung zufolge würde ich mal auf AVC tippen, das ist ein anderer Name für H.264.

Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5164
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: Netflix im Firefox nicht abspielbar

Beitrag von tomm.fa » 27. Jul 2018, 20:47

Führe doch mal die Ausgabe von

Code: Alles auswählen

zypper se -si ffmpeg libav
vor?
Linupedia - Wiki des Linux-Club.
Keine Unterstützung/Hilfestellung per PN!

MH1962
Member
Member
Beiträge: 93
Registriert: 10. Aug 2015, 16:42

Re: Netflix im Firefox nicht abspielbar

Beitrag von MH1962 » 28. Jul 2018, 05:43

Gib mal einfach

Code: Alles auswählen

ffmpeg
ohne Parameter ein.

Ich würde drauf wetten, in der etwas länglichen Ausgabe steht etwas wie

Code: Alles auswählen

--disable-decoder='mpeg4,h263,h264,hevc,vc1'

Sauerland
Guru
Guru
Beiträge: 3210
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: Netflix im Firefox nicht abspielbar

Beitrag von Sauerland » 28. Jul 2018, 11:28

Ich tippe auf den Bug mit ffmpeg-4.(siehe Frage von tomm.fa)

Installiere alle ffmpeg-4 Pakete von Packman:
https://forums.opensuse.org/showthread. ... rome-fixes
Desktop: OpenSUSE Leap 15.0, Nvidia-Grafik Kernel 4.x
Laptop: OpenSUSE Leap 15.0, Intel-Skylake, Kernel 4.12

MH1962
Member
Member
Beiträge: 93
Registriert: 10. Aug 2015, 16:42

Re: Netflix im Firefox nicht abspielbar

Beitrag von MH1962 » 28. Jul 2018, 13:46

Sauerland hat geschrieben:
28. Jul 2018, 11:28
Ich tippe auf den Bug mit ffmpeg-4.(siehe Frage von tomm.fa)
Das ist kein Bug. Die ffmpeg-Pakete vom Opensuse-Repository haben H.264 noch nie enthalten, da dieser Codec Patent-geschützt ist.

Sauerland
Guru
Guru
Beiträge: 3210
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: Netflix im Firefox nicht abspielbar

Beitrag von Sauerland » 28. Jul 2018, 14:25

Der Bug war, das chromium ffmpeg-4 (libavcodec58) benötigte, aber Packman diese noch nicht gebaut hatte......
Desktop: OpenSUSE Leap 15.0, Nvidia-Grafik Kernel 4.x
Laptop: OpenSUSE Leap 15.0, Intel-Skylake, Kernel 4.12

gorgonz
Member
Member
Beiträge: 166
Registriert: 13. Mai 2006, 19:37
Wohnort: Frankenland

Re: Netflix im Firefox nicht abspielbar

Beitrag von gorgonz » 29. Jul 2018, 11:20

servus zusammen,

erstmal vielen dank für die vielen guten gedanken dazu :-). Ich war jetzt 2 Tage nicht am Gerät und so kann ich erst jetzt reagieren.

Ich denke inzwischen auch, dass es am fehlenden libavcodec58 Paket gelegen hat. Das konnte ich (zu der zeit) nur vom opensuse repo beziehen.

Kurz fürs Protokell:
Hab heute den pc eingeschaltet und normal updates installiert, netflix ging weiterhin nicht. Dann mal die Ausgaben erfasst, so wie ihr das vorgeschlagen habt:

zypper se -si ffmpeg libav

Code: Alles auswählen

S  | Name                   | Typ   | Version           | Arch   | Repository               
---+------------------------+-------+-------------------+--------+--------------------------
i+ | ffmpeg-3               | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository       
i  | ffmpegthumbs           | Paket | 17.12.3-lp150.1.1 | x86_64 | openSUSE-Leap-15.0-Oss   
i+ | libav-tools            | Paket | 12.3-lp150.1.1    | x86_64 | openSUSE-Leap-15.0-Oss   
i  | libavahi-client3       | Paket | 0.6.32-lp150.3.2  | x86_64 | openSUSE-Leap-15.0-Oss   
i  | libavahi-client3-32bit | Paket | 0.6.32-lp150.3.2  | x86_64 | openSUSE-Leap-15.0-Oss   
i  | libavahi-common3       | Paket | 0.6.32-lp150.3.2  | x86_64 | openSUSE-Leap-15.0-Oss   
i  | libavahi-common3-32bit | Paket | 0.6.32-lp150.3.2  | x86_64 | openSUSE-Leap-15.0-Oss   
i  | libavahi-core7         | Paket | 0.6.32-lp150.3.2  | x86_64 | openSUSE-Leap-15.0-Oss   
i  | libavahi-glib1         | Paket | 0.6.32-lp150.3.2  | x86_64 | openSUSE-Leap-15.0-Oss   
i  | libavc1394-0           | Paket | 0.5.4-lp150.1.12  | x86_64 | openSUSE-Leap-15.0-Oss   
i+ | libavcodec57           | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository       
i  | libavcodec58           | Paket | 4.0.1-lp150.2.2   | x86_64 | openSUSE-Leap-15.0-Update
i+ | libavdevice57          | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository       
i+ | libavdevice58          | Paket | 4.0.1-lp150.2.2   | x86_64 | openSUSE-Leap-15.0-Update
i+ | libavfilter6           | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository       
i  | libavfilter7           | Paket | 4.0.1-lp150.2.2   | x86_64 | openSUSE-Leap-15.0-Update
i+ | libavformat57          | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository       
i  | libavformat58          | Paket | 4.0.1-lp150.2.2   | x86_64 | openSUSE-Leap-15.0-Update
i+ | libavresample3         | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository       
i  | libavresample4         | Paket | 4.0.1-lp150.2.2   | x86_64 | openSUSE-Leap-15.0-Update
i+ | libavutil55            | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository       
i  | libavutil56            | Paket | 4.0.1-lp150.2.2   | x86_64 | openSUSE-Leap-15.0-Update
und ffmpeg

Code: Alles auswählen

ffmpeg version 3.4.4 Copyright (c) 2000-2018 the FFmpeg developers
  built with gcc 7 (SUSE Linux)
  configuration: --prefix=/usr --libdir=/usr/lib64 --shlibdir=/usr/lib64 --incdir=/usr/include/ffmpeg --extra-cflags='-fmessage-length=0 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g' --optflags='-fmessage-length=0 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g' --disable-htmlpages --enable-pic --disable-stripping --enable-shared --disable-static --enable-gpl --disable-openssl --enable-avresample --enable-libcdio --enable-gnutls --enable-ladspa --disable-cuda --disable-cuvid --enable-libass --enable-libbluray --enable-libcelt --enable-libcdio --enable-libdc1394 --enable-libfreetype --enable-libgsm --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-libspeex --enable-libtheora --enable-libtwolame --enable-libvidstab --enable-libvorbis --enable-libvpx --enable-libwebp --enable-libzimg --enable-libzvbi --enable-vaapi --enable-vdpau --enable-libfdk_aac --enable-nonfree --enable-libx264 --enable-libx265 --enable-libxvid
  libavutil      55. 78.100 / 55. 78.100
  libavcodec     57.107.100 / 57.107.100
  libavformat    57. 83.100 / 57. 83.100
  libavdevice    57. 10.100 / 57. 10.100
  libavfilter     6.107.100 /  6.107.100
  libavresample   3.  7.  0 /  3.  7.  0
  libswscale      4.  8.100 /  4.  8.100
  libswresample   2.  9.100 /  2.  9.100
  libpostproc    54.  7.100 / 54.  7.100
Hyper fast Audio and Video encoder
Das genannte disable hab ich nicht gesehen, aber dafür, dass die Codecs gemischt sind. Kann mich wieder dunkel erinnern, dass ich das Paket nicht bei packman angeboten bekommen habe und daher das von Suse belassen musste.

Habs jetzt wieder probiert und jetzt ist es da und auch die Abhängigkeiten wurden automatisch auf packman umgestellt. Wunder über Wunder, jetzt funktioniert netflix wieder :-) und der zypper dump sieht jetzt wie folgt aus:

Code: Alles auswählen

S  | Name                   | Typ   | Version           | Arch   | Repository            
---+------------------------+-------+-------------------+--------+-----------------------
i+ | ffmpeg-3               | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository    
i  | ffmpegthumbs           | Paket | 17.12.3-lp150.1.1 | x86_64 | openSUSE-Leap-15.0-Oss
i+ | libav-tools            | Paket | 12.3-lp150.1.1    | x86_64 | openSUSE-Leap-15.0-Oss
i  | libavahi-client3       | Paket | 0.6.32-lp150.3.2  | x86_64 | openSUSE-Leap-15.0-Oss
i  | libavahi-client3-32bit | Paket | 0.6.32-lp150.3.2  | x86_64 | openSUSE-Leap-15.0-Oss
i  | libavahi-common3       | Paket | 0.6.32-lp150.3.2  | x86_64 | openSUSE-Leap-15.0-Oss
i  | libavahi-common3-32bit | Paket | 0.6.32-lp150.3.2  | x86_64 | openSUSE-Leap-15.0-Oss
i  | libavahi-core7         | Paket | 0.6.32-lp150.3.2  | x86_64 | openSUSE-Leap-15.0-Oss
i  | libavahi-glib1         | Paket | 0.6.32-lp150.3.2  | x86_64 | openSUSE-Leap-15.0-Oss
i  | libavc1394-0           | Paket | 0.5.4-lp150.1.12  | x86_64 | openSUSE-Leap-15.0-Oss
i+ | libavcodec57           | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository    
i+ | libavcodec58           | Paket | 4.0.1-lp150.6.1   | x86_64 | Packman Repository    
i+ | libavdevice57          | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository    
i+ | libavdevice58          | Paket | 4.0.1-lp150.6.1   | x86_64 | Packman Repository    
i+ | libavfilter6           | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository    
i+ | libavfilter7           | Paket | 4.0.1-lp150.6.1   | x86_64 | Packman Repository    
i+ | libavformat57          | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository    
i+ | libavformat58          | Paket | 4.0.1-lp150.6.1   | x86_64 | Packman Repository    
i+ | libavresample3         | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository    
i+ | libavresample4         | Paket | 4.0.1-lp150.6.1   | x86_64 | Packman Repository    
i+ | libavutil55            | Paket | 3.4.4-lp150.6.2   | x86_64 | Packman Repository    
i+ | libavutil56            | Paket | 4.0.1-lp150.6.1   | x86_64 | Packman Repository    
Nochmal vielen Dank für die reichhaltige Unterstützung :-), der Gedanke, dass ich jetzt ein (wenn auch schmalspuriges) Win10 booten soll, um Netflix zu schauen hat mir nicht gefallen ;-)
Zuletzt geändert von tomm.fa am 29. Jul 2018, 11:55, insgesamt 1-mal geändert.
Grund: Quote- durch Code-Tags ersetzt.
Meine Systeme:
PC (I7-2600K): openSUSE leap 15.0 (64bit), QT 5.9.4, KDE Frameworks 5.45.0, 4.12.14-lp150.12.13-default
Laptop: Samsung RC530 (I7-2670QM), openSUSE tumbleweed, QT 5.11.0, KDE Frameworks 5.47.0, kernel 4.17.5-1-default

Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5164
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: Netflix im Firefox nicht abspielbar

Beitrag von tomm.fa » 29. Jul 2018, 12:21

Sauerland hat geschrieben:
28. Jul 2018, 14:25
Der Bug war, das chromium ffmpeg-4 (libavcodec58) benötigte, aber Packman diese noch nicht gebaut hatte......
Was aber (anscheinend) nichts mit Mozillas Firefox zu tun hat(te). Bei meiner Nachfrage zu ffmpeg und libav* wollte ich nur in Erfahrung bringen, ob auf Pakete von PackMan umgestellt wurde.
Als ich die Frage stellte, waren bei mir noch ffmpeg (ohne Zusatz wie 2, 3 und 4) und libavcodec57 von PackMan installiert und das Abspielen der Filme auf Netflix funktioniert(e); jetzt sind hier ffmpeg-3 und libavcodec57 installiert, das Abspielen der Filme funktionierte noch immer.
Wie schon erwähnt, ich wollte einfach nur wissen, ob entsprechende/benötigte Pakete auf PackMan umgestellt wurden (von einem Bug und Umstellung/Änderung der ffmpeg-Pakete wusste ich zu diesem Zeitpunkt nichts).
;)

(Und nun wird der Testzugang bei Netflix wieder gekündigt.)
Linupedia - Wiki des Linux-Club.
Keine Unterstützung/Hilfestellung per PN!

Antworten